org.jboss.resteasy.client.jaxrs.internal

## Class ClientRequestHeaders

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.ClientRequestHeaders

-     public class ClientRequestHeaders
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConfiguration` | `configuration`
    `protected CaseInsensitiveMap<Object>` | `headers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRequestHeaders(ClientConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(MediaType... types)`
    `void` | `accept(String... types)`
    `void` | `acceptEncoding(String... encodings)`
    `void` | `acceptLanguage(Locale... locales)`
    `void` | `acceptLanguage(String... locales)`
    `void` | `allow(Set<String> methods)`
    `void` | `allow(String... methods)`
    `MultivaluedMap<String,String>` | `asMap()`
    `void` | `cacheControl(CacheControl cacheControl)`
    `void` | `cookie(Cookie cookie)`
    `List<Locale>` | `getAcceptableLanguages()`
    `List<MediaType>` | `getAcceptableMediaTypes()`
    `Map<String,Cookie>` | `getCookies()`
    `Date` | `getDate()`
    `String` | `getHeader(String name)`
    `CaseInsensitiveMap<Object>` | `getHeaders()`
    `Locale` | `getLanguage()`
    `int` | `getLength()`
    `MediaType` | `getMediaType()`
    `void` | `header(String name, Object value)`
    `void` | `setHeaders(MultivaluedMap<String,Object> newHeaders)`
    `void` | `setLanguage(Locale language)`
    `void` | `setLanguage(String language)`
    `void` | `setMediaType(MediaType mediaType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### headers

          protected CaseInsensitiveMap<Object> headers

    - #### configuration

          protected ClientConfiguration configuration

  - ### Constructor Detail

    - #### ClientRequestHeaders

          public ClientRequestHeaders(ClientConfiguration configuration)

  - ### Method Detail

    - #### getHeaders

          public CaseInsensitiveMap<Object> getHeaders()

    - #### setHeaders

          public void setHeaders(MultivaluedMap<String,Object> newHeaders)

    - #### setLanguage

          public void setLanguage(Locale language)

    - #### setLanguage

          public void setLanguage(String language)

    - #### setMediaType

          public void setMediaType(MediaType mediaType)

    - #### acceptLanguage

          public void acceptLanguage(Locale... locales)

    - #### acceptLanguage

          public void acceptLanguage(String... locales)

    - #### acceptEncoding

          public void acceptEncoding(String... encodings)

    - #### accept

          public void accept(String... types)

    - #### accept

          public void accept(MediaType... types)

    - #### cookie

          public void cookie(Cookie cookie)

    - #### allow

          public void allow(String... methods)

    - #### allow

          public void allow(Set<String> methods)

    - #### cacheControl

          public void cacheControl(CacheControl cacheControl)

    - #### header

          public void header(String name,
                    Object value)

    - #### getDate

          public Date getDate()

    - #### getHeader

          public String getHeader(String name)

    - #### asMap

          public MultivaluedMap<String,String> asMap()

    - #### getLanguage

          public Locale getLanguage()

    - #### getLength

          public int getLength()

    - #### getMediaType

          public MediaType getMediaType()

    - #### getAcceptableMediaTypes

          public List<MediaType> getAcceptableMediaTypes()

    - #### getAcceptableLanguages

          public List<Locale> getAcceptableLanguages()

    - #### getCookies

          public Map<String,Cookie> getCookies()

Copyright © 2014. All Rights Reserved.